---
title: VisualViewport.offsetTop
slug: Web/API/VisualViewport/offsetTop
tags:
  - API
  - Property
  - Reference
  - Visual Viewport API
  - VisualViewport
  - offsetTop
  - viewport
---
<p>{{SeeCompatTable}}{{APIRef("Visual Viewport")}}</p>

<p>The <strong><code>offsetTop</code></strong> read-only property of the {{domxref("VisualViewport")}} interface returns the offset of the top edge of the visual viewport from the top edge of the layout viewport in CSS pixels.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>offsetTop</em> = VisualViewport.offsetTop</pre>

<h3 id="Value">Value</h3>

<p>A double.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Visual Viewport','#dom-visualviewport-offsettop','offsetTop')}}</td>
   <td>{{Spec2('Visual Viewport')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VisualViewport.offsetTop")}}</p>
